<template>
  <div>
    <div v-if="loading" class="lazy-img-on-load">
      <v-progress-circular
        indeterminate
        color="red"
        class="vh-center"
      ></v-progress-circular>
    </div>
    <div v-else>
      <v-img
        :src="data_detail.image"
        gradient="to top right, rgba(100,115,201,.33), rgba(25,32,72,.7)"
        max-height="450"
        position="center center"
        lazy-src=""
      >
        <div class="d-flex align-center mt-6 mx-6">
          <v-btn icon @click="$router.push('/')"
            ><v-icon size="40">mdi-arrow-left</v-icon></v-btn
          >
          <div class="ml-auto">
            <v-icon class="mr-1" color="red">
              mdi-heart
            </v-icon>
            <span class="subheading mr-2">{{ data_detail.like }}</span>
          </div>
        </div>
        <h1 class="vh-center">{{ data_detail.title }}</h1></v-img
      >
      <v-container class="mt-8 text-center">
        <h2>Show Time</h2>
        <h1 class="red--text">
          {{ $moment(data_detail.showTime).format("DD MMMM YYYY") }}
          {{ $moment(data_detail.showTime).format("h:mm a") }}
        </h1>
      </v-container>
    </div>
  </div>
</template>

<script>
export default {
  layout: "detail",
  computed: {
    data_detail() {
      return this.$store.get("data_detail");
    },
    loading() {
      return this.$store.get("loading_detail");
    }
  },
  mounted() {
    this.load();
  },
  methods: {
    load() {
      this.$store.dispatch("loadDataDetail", this.$route.params.id);
    }
  }
};
</script>

<style lang="scss" scoped>
.vh-center {
  margin: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.lazy-img-on-load {
  position: relative;
  height: 450px;
  width: 100%;
  background: linear-gradient(
    85deg,
    rgba(100, 115, 201, 0.33) 0%,
    rgba(25, 32, 72, 0.09707633053221287) 76%
  );
}
</style>
